% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/control.R
\name{control_cluster}
\alias{control_cluster}
\title{Control the fit function}
\usage{
control_cluster(verbosity = 1L, catch = FALSE)
}
\arguments{
\item{verbosity}{An integer where a value of zero indicates that no messages
or output should be shown when packages are loaded or when the model is
fit. A value of 1 means that package loading is quiet but model fits can
produce output to the screen (depending on if they contain their own
\code{verbose}-type argument). A value of 2 or more indicates that any output
should be seen.}

\item{catch}{A logical where a value of \code{TRUE} will evaluate the model inside
of \code{try(, silent = TRUE)}. If the model fails, an object is still returned
(without an error) that inherits the class "try-error".}
}
\value{
An S3 object with class "control_cluster" that is a named list with
the results of the function call
}
\description{
Options can be passed to the \code{\link[=fit.cluster_spec]{fit.cluster_spec()}} function that control the
output and computations.
}
\examples{
control_cluster()

control_cluster(catch = TRUE)
}
