% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/hier_clust.R
\name{hclust_fit}
\alias{hclust_fit}
\title{Simple Wrapper around hclust function}
\usage{
hclust_fit(
  x,
  num_clusters = NULL,
  cut_height = NULL,
  linkage_method = NULL,
  dist_fun = Rfast::Dist
)
}
\arguments{
\item{x}{matrix or data frame}

\item{num_clusters}{the number of clusters}

\item{linkage_method}{the agglomeration method to be used. This should be (an
unambiguous abbreviation of) one of \code{"ward.D"}, \code{"ward.D2"}, \code{"single"},
\code{"complete"}, \code{"average"} (= UPGMA), \code{"mcquitty"} (= WPGMA), \code{"median"} (=
WPGMC) or \code{"centroid"} (= UPGMC).}

\item{dist_fun}{A distance function to use}

\item{h}{the height to cut the dendrogram}
}
\value{
A dendrogram
}
\description{
This wrapper prepares the data into a distance matrix to send to
\code{stats::hclust} and retains the parameters \code{num_clusters} or \code{h} as an
attribute.
}
\keyword{internal}
